using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class etkilesim : MonoBehaviour
{
	public Animator teslaanimator;
	public int parcasayi;
	public GameObject cekic;
	public GameObject pense;
	public GameObject tornavida;
	public GameObject teslakumanda;
	public GameObject acikpc;
	public GameObject sifrepanel;
	public GameObject kapalipc;
	public UnityEngine.UI.InputField giris;
	public Animator animatoral;
	public Text soneylem;
	public Text dusunce;

	void Start () {
		soneylem.text="Oyuna Giriş Yapıldı.";
		dusunce.text = "Oh aman tanrım.. Tesla bobini çalışmıyor çok korkunç, insanlar bilinçlerini kaybetmiş ve sadece akıllarında kalan şeyleri söyleyip duruyorlar, hemen çalıştırmanın bir yolunu bulmalıyım.";
	}

	void OnTriggerEnter2D (Collider2D kumanda)
	{
		if(kumanda.tag.Equals ("kumanda")) {


			teslakumanda.SetActive (false);
			animatoral.SetBool ("kumanda", true);
			soneylem.text = "Kumanda Alındı";
			dusunce.text = "Evet sonunda kumandaya ulaştım. Artık bunu kullanarak insanları kontrol edebilir, burdan bir çıkış bulabilir ve diğer tesla santrallerine gitmek üzere güvenli bir yola çıkabilirim.";


		}

		if(kumanda.tag.Equals ("aletcantasi")) {


			if(parcasayi==3) {

				soneylem.text="Tesla bobini tamir edildi.";
				teslaanimator.enabled = true;
				dusunce.text = "Şimdi kumandaya ulaşmalıyım ancak bu şekilde insanları kendilerini kurtarmak için kullanabilirim. Acaba nerde olabilir? Etraftaki insanları kontrol etmeliyim.";
			}

			if(parcasayi<3) {

				dusunce.text = "Görünüşe göre bobini tekrar çalıştırmak için tamir etmem gerekiyor. Alet takımında bazı parçalar eksik hemen onları bulmalıyım.";
				soneylem.text="Parçalar yetersiz tüm parçalar toplanamadı.";

			}


		}

		if(kumanda.tag.Equals ("cekic")) 
		{

				cekic.SetActive(false);
			parcasayi++;
			soneylem.text="Çekiç Toplandı.";

			if(parcasayi==3) {

				dusunce.text = "Evet! Gerekli parçaları topladım. Hemen bobine gidip onu çalıştırmalıyım.";

			}
		

				}

		if(kumanda.tag.Equals ("pense")) 
				{

					pense.SetActive(false);
			parcasayi++;
			soneylem.text="Pense Toplandı.";

			if(parcasayi==3) {

				dusunce.text = "Evet! Gerekli parçaları topladım. Hemen bobine gidip onu çalıştırmalıyım.";

			}

				}

		if(kumanda.tag.Equals ("tornavida")) 
					{

						tornavida.SetActive(false);
			parcasayi++;
			soneylem.text = "Tornavida Toplandı.";


			if(parcasayi==3) {

				dusunce.text = "Evet! Gerekli parçaları topladım. Hemen bobine gidip onu çalıştırmalıyım.";

			}

					}





	

		if(kumanda.tag.Equals ("sifre")) 
		{
			sifrepanel.SetActive (true);
			Time.timeScale = 0;




		}



		}






	void OnTriggerStay2D (Collider2D bilgisayar)
	{
		if(bilgisayar.tag.Equals ("bilgisayar")) {

		        if (Input.GetKeyDown (KeyCode.K)){

				acikpc.SetActive (true);


			}

		}



	}

	void OnTriggerExit2D (Collider2D bilgisayar)
	{
		if(bilgisayar.tag.Equals ("bilgisayar")) {

			acikpc.SetActive (false);
			kapalipc.SetActive (true);

		}

	}

	// Use this for initialization
	

	// Update is called once per frame
	void Update ()
	{



	}

}
